# Module `luahyperbolic-core`

## Functions

m.expMap (P, vector) | Exponential map at a point P
m.triangleCentroid (A, B, C) | TRIANGLE GEOMETRY
m.triangleCircumcenter (A, B, C) | CAUTION : orthocenter and circumcenter do not always exist

## Functions

m.expMap (P, vector)
  Exponential map at a point P

  ### Parameters:

  - P complex
  - vector complex (vector)

  ### Returns:

  complex
m.triangleCentroid (A, B, C)
  TRIANGLE GEOMETRY

  ### Parameters:

  - A
  - B
  - C Intersection des trois médianes. /!\ Pas au deux tiers des médianes
m.triangleCircumcenter (A, B, C)
  CAUTION : orthocenter and circumcenter do not always exist

  ### Parameters:

  - A
  - B
  - C WARNING returns circumcenter or nil

generated by LDoc 1.5.0 Last updated 2026-03-15 16:13:44